#include <bits/stdc++.h>

using namespace std;
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    long long n,x;
    cin>>n>>x;
    long long a[n];
    long long bestl=x,bestd=x;
    for(long long i=0;i<n;i++)
    {
        cin>>a[i];
        if(a[i]>x)
            bestd=max(bestd,a[i]);
        else bestl=min(bestl,a[i]);
    }
    if(bestl==x)
        cout<<abs(bestd-x);
    else if(bestd==x)
        cout<<abs(x-bestl);
    else if(bestd>bestl)
        cout<<2*abs(bestl-x)+abs(bestd-x);
    else cout<<2*abs(bestd-x)+abs(bestl-x);

}